<div class="flex flex-layout-h">
    <div class="flex-layout">
        <div class="flex flex-layout" style="position:relative;">
            <div id="vselector-main"
                 class="flex vselector-pane flex-layout-v"
                 ng-class="{'closed': !VM.shouldShowSelector}"
            >
                <div>
                    <div class="vselector-head">
                        <p class="title" translate>SCHEMAS</p>
                        <div class="filtering" class="flex-layout-v flex-layout-v-valign-c">
                            <div class="flex-layout-h">
                                <button class="btn btn-default btn-round-sm fa fa-plus"
                                        ng-click="VM.addNew()"
                                        title="{{'NEWF' | translate}}"
                                ></button>
                            </div>
                        </div>
                        <p class="showing">{{'SHOWING2'|translate:{total: VM.num_total} }}</p>
                    </div>
                </div>
                <div class="flex vselector scrollable-pane">
                    <a ng-class="{active: VM.isCurrent(sc.id)}"
                       ng-repeat="sc in VM.schemas"
                       ng-click="VM.pick(sc.id)" href=""
                       title="{{VM.getField(sc, 'nombre')}}"
                       style=""
                    >
                        <span class="ellipsis" style="display:block;">{{VM.getField(sc, 'nombre')}}</span>
                        <span style="display:block;">
                            <small>#{{sc.id | limitTo:10}}...</small>
                            <small ng-show="VM.isDirty(sc)" title="{{'DIRTY'|translate}}">| <i class="fa fa-pencil color-dirty"></i></small>
                        </span>
                     </a>
                </div>

            </div>
            <div style="position:absolute;top:0px;right:-20px;">
                <button ng-click="VM.toggleSelector()" class="btn btn-sm btn-link" title="Toggle menu"><i class="glyphicon glyphicon-menu-hamburger"></i></button>
            </div>
        </div>
    </div>
    <div id="trench-main" class="trench-pane">
        <OUTLET ui-view="schemaOutlet"
                autoscroll="false"
                class="flex flex-layout"
        ></OUTLET>
    </div>
</div>